View Issue Details

IDProjectCategoryView StatusLast Update
0027080LazarusLCLpublic2014-12-03 13:18
ReporterFabio Luis GirardiAssigned ToZeljan Rikalo 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSLinux Mint OS Version17
Product VersionProduct Build 
Target Version1.2.8Fixed in Version1.3 (SVN) 
Summary0027080: PtInRegion hangs if a bitmap handle is supplied
DescriptionPtInRegion hangs if a bitmap handle is supplied and a exception is raised when running this function with GTK2 or QT. With Win32, this function works fine using a TRegion or a TBitmap.
Steps To ReproduceI'll attach a demo project that reproduces this.
Additional InformationI don't know if this affects others widgetsets than Win32, GTK2 and QT.
TagsNo tags attached.
Fixed in Revision47054,47055,47056
LazTarget1.2.8
WidgetsetGTK 2, QT
Attached Files

Activities

Zeljan Rikalo

2014-11-24 13:09

developer   ~0079353

Please attach valid example project.

Fabio Luis Girardi

2014-11-26 13:41

reporter  

setshape.tar.bz2 (81,461 bytes)

Fabio Luis Girardi

2014-11-26 13:42

reporter   ~0079403

This project reproduces the error.

Zeljan Rikalo

2014-12-02 09:08

developer   ~0079556

Qt is fixed in 47054. Please test.

Zeljan Rikalo

2014-12-02 09:08

developer   ~0079557

Reopening until gtk2 is fixed.

Zeljan Rikalo

2014-12-02 09:26

developer   ~0079558

Please test and close if ok.

Fabio Luis Girardi

2014-12-03 13:18

reporter   ~0079590

Thanks!

Issue History

Date Modified Username Field Change
2014-11-24 02:28 Fabio Luis Girardi New Issue
2014-11-24 13:09 Zeljan Rikalo Assigned To => Zeljan Rikalo
2014-11-24 13:09 Zeljan Rikalo Status new => assigned
2014-11-24 13:09 Zeljan Rikalo LazTarget => -
2014-11-24 13:09 Zeljan Rikalo Note Added: 0079353
2014-11-24 13:09 Zeljan Rikalo Status assigned => feedback
2014-11-26 13:41 Fabio Luis Girardi File Added: setshape.tar.bz2
2014-11-26 13:42 Fabio Luis Girardi Note Added: 0079403
2014-11-26 13:42 Fabio Luis Girardi Status feedback => assigned
2014-12-02 09:08 Zeljan Rikalo Fixed in Revision => 47054
2014-12-02 09:08 Zeljan Rikalo Note Added: 0079556
2014-12-02 09:08 Zeljan Rikalo Status assigned => resolved
2014-12-02 09:08 Zeljan Rikalo Resolution open => fixed
2014-12-02 09:08 Zeljan Rikalo Note Added: 0079557
2014-12-02 09:08 Zeljan Rikalo Status resolved => assigned
2014-12-02 09:08 Zeljan Rikalo Resolution fixed => reopened
2014-12-02 09:26 Zeljan Rikalo Fixed in Revision 47054 => 47054,47055,47056
2014-12-02 09:26 Zeljan Rikalo LazTarget - => 1.2.8
2014-12-02 09:26 Zeljan Rikalo Note Added: 0079558
2014-12-02 09:26 Zeljan Rikalo Status assigned => resolved
2014-12-02 09:26 Zeljan Rikalo Fixed in Version => 1.3 (SVN)
2014-12-02 09:26 Zeljan Rikalo Resolution reopened => fixed
2014-12-02 09:26 Zeljan Rikalo Target Version => 1.2.8
2014-12-03 13:18 Fabio Luis Girardi Note Added: 0079590
2014-12-03 13:18 Fabio Luis Girardi Status resolved => closed